summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDaniel Veillard <veillard@src.gnome.org>2001-01-07 14:01:28 +0000
committerDaniel Veillard <veillard@src.gnome.org>2001-01-07 14:01:28 +0000
commit6f5e152012186758087a2eead15199e795f8e192 (patch)
tree36df1a9259ec43df426ee322bc5408d111e6eddd /autogen.sh
parent8a5bfd81e5b31731172e3cb21136f6ac517299c6 (diff)
downloadlibxslt-6f5e152012186758087a2eead15199e795f8e192.tar.gz
libxslt-6f5e152012186758087a2eead15199e795f8e192.tar.bz2
libxslt-6f5e152012186758087a2eead15199e795f8e192.zip
Initial revision
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh71
1 files changed, 71 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..c39f5cc7
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+THEDIR=`pwd`
+cd $srcdir
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile gnome-xml."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile gnome-xml."
+ echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile gnome-xml."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test -f libxslt/xslt.h || {
+ echo "You must run this script in the top-level gdome directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+echo "Running libtoolize..."
+libtoolize --copy --force
+echo "Running aclocal..."
+aclocal $ACLOCAL_FLAGS
+echo "Running automake..."
+automake --add-missing
+echo "Running autoconf..."
+autoconf
+
+cd $THEDIR
+
+if test x$OBJ_DIR != x; then
+ mkdir -p "$OBJ_DIR"
+ cd "$OBJ_DIR"
+fi
+
+conf_flags="--enable-maintainer-mode --enable-compile-warnings" #--enable-iso-c
+
+echo Running configure $conf_flags "$@" ...
+$srcdir/configure $conf_flags "$@"
+
+echo
+echo "Now type 'make' to compile libxslt."